Skip to main content
POST
/
candidates
/
{id}
/
certifications
Create certification
curl --request POST \
  --url https://api.gospott.com/candidates/{id}/certifications \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "companyId": "<string>",
  "name": "<string>",
  "url": "<string>",
  "issueDate": "2023-11-07T05:31:56Z",
  "expirationDate": "2023-11-07T05:31:56Z"
}
'
{
  "id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

id
string
required

Body

application/json
companyId
string | null
required
Minimum string length: 1
name
string
required
Minimum string length: 1
url
string<uri> | null
required
issueDate
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
expirationDate
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

Response

Certification created successfully

id
string
required
Minimum string length: 1